package com.alpha.lagouapk.bean

import android.os.Parcelable
import kotlinx.android.parcel.Parcelize

/**
 * 初筛职位卡片响应数据
 */
@Parcelize
data class ChuShaiPositionRes(val positionList:ArrayList<ChuShaiPositionCardBean>,val showId:String?,val pageNo:Int):Parcelable
/**
 * 初筛卡片对象
 */
@Parcelize
data class ChuShaiPositionCardBean(
    val positionId:Int,
    val companyFullName: String?,//公司名
    val positionName: String?,//职位名称
    val salary: String?,//薪资
    val salaryMonth: Int,//系数
    val city:String?,//城市
    val district:String?,//行政区
    val workYear:String?,//工作年限
    val education:String?,//教育
    val positionDetail:String?,//职位详情
    val hrCardVo:HrInfoBean?//hr信息
):Parcelable

@Parcelize
data class HrInfoBean(val hrName:String?,val hrPortrait:String?) : Parcelable
