package com.alpha.lagouapk.bean

import java.io.Serializable

/**
 * @description ：
 * Created by @author YongliangWang on 2021/10/21 11:12
 */
data class NeedSupplementBean(var needAdd: Int = -1, var statusList: List<String>, var arrivalTimeList: List<String>) : Serializable {

    companion object {
        const val FINISH = 0//完成，do noting
        const val STATUS_WORK_EXPERIENCE = 1//当前状态+工作经历缺失 ，需要开启新页面补充
        const val STATUS = 2//当前状态缺失，需要弹窗补充
    }

    fun isPopup(): Boolean = STATUS == needAdd
    fun isNewPage(): Boolean = STATUS_WORK_EXPERIENCE == needAdd

}