package com.alpha.lagouapk.ui.resume.ai

import android.view.View
import android.widget.TextView
import com.alpha.lagouapk.R
import com.alpha.lagouapk.bean.resume.ResumeAiResponse
import com.lagou.baselib.analytic.AnalyticHelper

/**
 * 换个新Ai
 *
 */
class ResumeAiChangeVH(itemView: View) : BaseResumeAiVH(itemView) {
    private val tvChangeAiDivider = itemView.findViewById<TextView>(R.id.tvChangeAiDivider)
    private val tvChangeAi = itemView.findViewById<TextView>(R.id.tvChangeAi)
    override fun onBindViewHolder(bean:ResumeAiResponse){
        val isChangeAiClicked = bean.isChangedAI
        changeVisibility(isChangeAiClicked)
        tvChangeAi.setOnClickListener {
            AnalyticHelper.getInstance().sendClickInfo("b1ues","e1uev")
            bean.isChangedAI = true
            changeVisibility(true)
        }
    }

    private fun changeVisibility(isChangeAiClicked:Boolean){
        tvChangeAiDivider.visibility = if(isChangeAiClicked) View.VISIBLE else View.GONE
        tvChangeAi.visibility = if(isChangeAiClicked) View.GONE else View.VISIBLE
    }
}