package com.alpha.lagouapk.ui.resume.ai

import android.view.View
import android.widget.TextView
import com.alpha.lagouapk.R
import com.alpha.lagouapk.bean.resume.ResumeAiResponse

class ResumeAiExampleVH(itemView: View) : BaseResumeAiVH(itemView) {
    private val tvExampleContent = itemView.findViewById<TextView>(R.id.tvResumeAiExampleContent)
    private val tvExampleTip = itemView.findViewById<TextView>(R.id.tvResumeAiExampleTip)
    override fun onBindViewHolder(resumeAiResponse: ResumeAiResponse) {
        tvExampleContent.text = resumeAiResponse.content
        tvExampleTip.visibility = if (resumeAiResponse.isFinishMoe()) View.VISIBLE else View.GONE
    }
}