package com.alpha.lagouapk.ui.resume.ai

import android.content.Context
import android.util.AttributeSet
import android.view.LayoutInflater
import android.widget.FrameLayout
import com.alpha.lagouapk.R
import com.alpha.lagouapk.tools.IntentUtils
import com.lagou.baselib.analytic.AnalyticHelper
import com.lagou.commonlibs.web.UrlConfig
import kotlinx.android.synthetic.main.resume_ai_gen_guide_card.view.tv_resume_ai_opt

/**
 * AI简历导入简历成功后引导
 */
class ResumeAiFinishGuide @JvmOverloads constructor(
    private val mContext: Context,
    attrs: AttributeSet? = null,
    def: Int = 0
) :
    FrameLayout(mContext, attrs, def) {
    init {
        LayoutInflater.from(mContext).inflate(R.layout.resume_ai_gen_guide_card, this)
        tv_resume_ai_opt.setOnClickListener {
            AnalyticHelper.getInstance().sendClickInfo("1jgm","i1uez")
            IntentUtils.startLagouWebViewActivityHideTitle(context,UrlConfig.RESUME_REFINE)
        }
    }
}