package com.alpha.lagouapk.ui.resume.ai

import android.view.View
import android.widget.ImageView
import com.alpha.lagouapk.R
import com.alpha.lagouapk.bean.resume.ResumeAiResponse
import com.lagou.commonlibs.imageload.ImageLoadUtils

/**
 * Ai响应中ViewHolder
 */
class ResumeAiLoadingVH(itemView: View) : BaseResumeAiVH(itemView) {
    private val ivAiLoading = itemView.findViewById<ImageView>(R.id.ivAiLoading)
    override fun onBindViewHolder(resumeAiResponse: ResumeAiResponse){
        ImageLoadUtils
            .with(itemView.context)
            .load(R.drawable.ai_loading)
            .asGif()
            .into(ivAiLoading)
    }
}