package com.common.ui.dialog

import com.alpha.lagouapk.R
import com.alpha.lagouapk.tools.IntentUtils
import com.lagou.commonlibs.ui.dialog.BaseDialogFragment
import kotlinx.android.synthetic.main.dialog_app_store.image_close
import kotlinx.android.synthetic.main.dialog_app_store.tv_click

/**
 * @date： Crate by wangjunwei on 2023/11/15
 * @description：114检查要求，在跳出App前，需要给用户弹窗提示告知用户，同意后方可跳出
 **/
class AppStoreDialog : BaseDialogFragment() {


    companion object {
        fun getInstance() : AppStoreDialog{
            return AppStoreDialog()
        }
    }

    override fun getLayoutId(): Int {
       return R.layout.dialog_app_store
    }


    override fun fillUI() {
        super.fillUI()
    }

    override fun initListener() {
        super.initListener()
        image_close.setOnClickListener { dismiss() }

        tv_click.setOnClickListener {
            //114检查要求，在跳出App前，需要给用户弹窗提示告知用户，同意后方可跳出
            IntentUtils.goAppStore(activity)
            dismiss()
        }
    }


    override fun getWidth(): Int {
        return (screenWidth * 0.8).toInt()
    }
}