package com.common.ui.dialog

import android.content.Context
import android.widget.ImageView
import android.widget.TextView
import com.alpha.lagouapk.R
import com.alpha.lagouapk.tools.IntentUtils
import com.lagou.lagouee.Constants
import com.lxj.xpopup.core.BottomPopupView
import com.lxj.xpopup.core.PopupInfo

/**
 * 投诉举报专区弹窗
 */
class ReportZoneDialog(context: Context): BottomPopupView(context) {
    private lateinit var tvReport:TextView
    private lateinit var tvReportOnline:TextView
    private lateinit var ivClose:ImageView
    override fun init() {
        popupInfo = PopupInfo()
        popupInfo.enableDrag = false
        popupInfo.isDismissOnBackPressed = false
        popupInfo.isDismissOnTouchOutside = false
        super.init()
        tvReport = findViewById(R.id.tv_report_zone_report)
        tvReportOnline = findViewById(R.id.tv_report_zone_online)
        ivClose = findViewById(R.id.iv_report_zone_close)

        tvReport.setOnClickListener { IntentUtils.startLagouWebViewActivity(context, Constants.LAGOU_REPORT_ZONE); }
        tvReportOnline.setOnClickListener { IntentUtils.startLagouWebViewActivity(context, Constants.HARMFUL_REPORT_ZONE); }
        ivClose.setOnClickListener { dismiss()}
    }
    override fun getImplLayoutId() = R.layout.dialog_report_zone_main
}