package com.common.ui.question_answer

import android.os.Bundle
import android.view.View
import com.alpha.lagouapk.R
import com.common.bean.QuestionsAndAnswersBean
import com.lagou.commonlibs.utils.BaseUtils
import com.lagou.commonlibs.utils.DeviceUtils
import com.lagou.commonlibs.utils.ResourceUtils
import kotlinx.android.synthetic.main.dialog_question_answer.btn_submit_answer

/**
 * B端查看问题回答情况
 */
class CheckAnswerDialog : BaseQuestionAndAnswerDialog(){
    companion object{
        @JvmStatic
        fun getInstance(bean: QuestionsAndAnswersBean?):CheckAnswerDialog{
            val bundle = Bundle()
            bundle.putParcelable(KEY_QUESTION_ANSWER_INFO,bean)
            val dialog = CheckAnswerDialog()
            dialog.arguments = bundle
            return dialog
        }
    }

    override fun fillUI() {
        super.fillUI()
        btn_submit_answer.visibility = View.GONE
    }

    override fun getMaxHeight(): Int = (DeviceUtils.getRealScreenHeight(activity) * 0.8f).toInt() - ResourceUtils.getDimenSize(R.dimen.dp_125)

    override fun isCheckAnswer(): Boolean = true
}