package com.lagou.lagouee.bean

import android.os.Parcelable
import kotlinx.android.parcel.Parcelize

@Parcelize
data class PositionAndResumeNumResponse(val positionResumeStatisticVO:PositionAndResumeNumBean?):Parcelable
@Parcelize
data class PositionAndResumeNumBean(val onlinePositionCount:Int,val offlinePositionCount:Int,val totalResumeCount:Int):Parcelable{
    fun isNeedWorkHandOver():Boolean = onlinePositionCount > 0 || offlinePositionCount > 0
}


