package com.lagou.lagouee.bean

import android.os.Parcelable
import kotlinx.android.parcel.Parcelize

/**
 * 查询移交任务
 */
@Parcelize
data class PositionTransferResponse(val taskAndRecordVO:TaskAndRecordVO?):Parcelable
@Parcelize
data class TaskAndRecordVO(val taskInfo:TaskInfo?,val leftNeed2TransferOnlineCount:Int,val leftNeed2TransferOfflineCount:Int):Parcelable
@Parcelize
data class TaskInfo(val params:String?,val id:Int):Parcelable
@Parcelize
data class PublisherInfo(var newPublisherName:String?,var newPublisherId:Int,var need2TransferOfflineCount:Int = 0,var need2TransferOnlineCount:Int = 0):Parcelable

