package com.lagou.lagouee.bean.jsonbean.resume

import android.text.TextUtils

/**
 * @date： Crate by wangjunwei on 2023/5/5
 * @description：简历管理页-批量邀约引导
 **/
data class ResumeInviteGuideRes(var isGuide: Boolean?, val guideType: String?, val guideMessage: String?) : java.io.Serializable{

    /**
     * 跳转到邀约页面
     */
    fun isToInvite() : Boolean {
        return TextUtils.equals("BUY_ONLINE", guideType)
                || TextUtils.equals("TO_USE", guideType)
    }

    /**
     * 去发布职位页（应该是当前无在线职位）
     */
    fun isToPublish() : Boolean {
        return TextUtils.equals("TO_PUIHLISH_POSITION", guideType)
    }


    /***
     * 去职位管理页 todo
     */
    fun isToPositionManager() : Boolean{
        return TextUtils.equals("",  guideType)
    }
}