package com.lagou.lagouee.ui.resume.preview

import android.content.Context
import android.util.AttributeSet
import android.view.LayoutInflater
import android.view.View
import android.widget.LinearLayout
import com.alpha.lagouapk.R
import com.lagou.lagouee.bean.TalentCardBean
import kotlinx.android.synthetic.main.layout_resume_preview_loading.view.*

/**
 * @author :  Alfred
 * @date   : 2019-07-16 18:13
 *
 */
class ViewResumePreviewLoadingLayout(context: Context, attr: AttributeSet? = null) : LinearLayout(context, attr) {

    init {
        LayoutInflater.from(context).inflate(R.layout.layout_resume_preview_loading, this)
        orientation = VERTICAL
    }

    fun initView(talentCardBean: TalentCardBean?) {
        if (visibility != View.VISIBLE) {
            visibility = View.VISIBLE
        }
        if (talentCardBean == null) {
            mResumeHeaderCard.visibility = View.GONE
            mIvEmptyHeader.visibility = View.VISIBLE
        } else {
            mResumeHeaderCard.visibility = View.VISIBLE
            mIvEmptyHeader.visibility = View.GONE
            mResumeHeaderCard.bindHeadData(talentCardBean.convertToResumeHeadInfo(talentCardBean))
        }
    }

}