package com.alpha.lagouapk.bean

import java.io.Serializable

/**
 * @author 作者：ryan.lei
 * @date 创建时间：2022/3/4 15:53
 * @Description 描述：
 **/

data class AggregateMessageBean(
    val cursor: String,
    val hasNext: Boolean,
    val messageList: List<Message>
) : Serializable {
    data class Message(
        val city: String,
        val companyLogo: String,
        val companyName: String,
        val companySize: String,
        val district: String,
        val education: String,
        val financeStage: String,
        val industryTags: List<String>,
        val inviteDate: String,
        val inviteTime: String,
        /**
         * 是否投递 1 是 0 否
         */
        var isDelivery: Int,
        /**
         * 是否在线职位 1 是 0 否
         */
        val isOnlinePosition: Int,
        /**
         * 是否已读 用户展示new 1 是 0 否
         */
        val isRead: Int,
        val isTip: Boolean,
        val positionId: Int,
        val positionName: String,
        val recommenderIcon: String,
        val recommenderTip: String,
        val salary: String,
        val workYear: String
    ) : Serializable
}