package com.alpha.lagouapk.ui.chat.item

import android.content.Context
import android.view.View
import android.widget.TextView
import com.alpha.lagouapk.R
import com.common.chat.item.base.ChatItem

class PositionQuestionSetB(context: Context):ChatItem(context) {
    private lateinit var tvToSet: TextView
    private var callback:(()->Unit)? = null
    override fun initView() {
        mDate = findViewById(R.id.chat_item_date)
        tvToSet = findViewById(R.id.tv_to_set_question)
        tvToSet.setOnClickListener(this)
    }

    override fun updateView() {

    }

    override fun onClick(v: View?) {
        super.onClick(v)
        when(v?.id){
            R.id.tv_to_set_question -> callback?.invoke()
        }
    }

    override fun getLayoutId(): Int = R.layout.item_chat_question_set_enterance
    fun setCallback(callback:(()->Unit)?): ChatItem {
        this.callback = callback
        return this
    }

}