package com.alpha.lagouapk.ui.login.guidePerfect

import android.view.View
import android.widget.TextView
import com.alpha.lagouapk.R
import com.alpha.lagouapk.ui.login.perfect.EditInfoDialog
import com.lagou.commonlibs.utils.ResourceUtils
import com.lxj.xpopup.XPopup

class PostcardViewHelper {
    enum class LineState {
        NORMAL,
        GREEN,
        RED
    }
    companion object {
        @JvmStatic
        fun setLineState(lineState:LineState,lineView:View){
            val lineHeight = ResourceUtils.getDimenSize(if (lineState == LineState.NORMAL) R.dimen.dp_05 else R.dimen.dp_1)
            when(lineState){
                LineState.NORMAL -> lineView.setBackgroundResource(R.color.color_e8e9eb)
                LineState.GREEN -> lineView.setBackgroundResource(R.color.color_00b38a)
                LineState.RED -> lineView.setBackgroundResource(R.color.color_ff7452)
            }
            lineView.layoutParams = lineView.layoutParams.apply { height = lineHeight}
        }
    }
}