package com.alpha.lagouapk.ui.resume.ai

import android.view.View
import android.widget.TextView
import com.alpha.lagouapk.R
import com.alpha.lagouapk.bean.resume.ResumeAiResponse

/**
 * Ai响应异常ViewHolder
 * 包括次数用完、算力有限等
 */
class ResumeAiExceptionVH(itemView: View) : BaseResumeAiVH(itemView) {
    private val tvResumeAiExceptionDesc = itemView.findViewById<TextView>(R.id.tvResumeAiExceptionDesc)
    override fun onBindViewHolder(bean:ResumeAiResponse){
        tvResumeAiExceptionDesc.text = bean.content
    }
}