package com.common.bean

import android.os.Parcelable
import kotlinx.android.parcel.Parcelize

/**
 * 职位描述AI字典词库
 */
@Parcelize
data class PositionDescAIDictionary(val md5:String?,val value:String?):Parcelable
@Parcelize
data class TypeKeyValueObj(val typeKeyValue:List<TypeKeyValue>?,val keyWordKeyValue:List<TypeKeyValue>?):Parcelable
@Parcelize
data class TypeKeyValue(val key:String?,val type:String?,val values:List<ValueItem>?):Parcelable
@Parcelize
data class ValueItem(val value:String?):Parcelable