package com.common.bean

import android.os.Parcelable
import kotlinx.android.parcel.Parcelize

@Parcelize
data class PositionsCategory(
    val category: String?,//一级大类名称
    val positions: List<Position>?,//职位数组
    var isSelect:Boolean) : Parcelable

@Parcelize
data class Position(
    val lgPositionId: Long,//拉勾主站职位id
    val positionName: String?,//职位名称
    val hasQuestion: Boolean,//是否已关联问题
    val salaryMonth:Int,//每年薪水月数
    val salaryMin:Int,//最低薪水
    val salaryMax:Int,//最高薪水
    var isSelect:Boolean
) : Parcelable
