package com.common.bean

import android.os.Parcelable
import kotlinx.android.parcel.Parcelize

/**
 * 职位问题与回答情况
 */
@Parcelize
data class QuestionsAndAnswersBean(
    val lgPositionId: Long,//拉勾职位id
    val positionName: String?,//职位名称
    val questionNum: Int,//问题数量
    val answerNum: Int,//已回答数量
    val questions: List<PositionQuestionBean>?//问题列表
) : Parcelable {
}