package com.common.integrate.onelogin

/**
 * @date： Crate by wangjunwei on 2023/4/17
 * @description：
 * 一键登录：登录/注册依赖参数
 * 涉及主要接口：passport/direct/lagou/login
 * processId:  SDK返回的流水号，一次有效（有效期10分钟）
 * token: SDK返回的运营商Token
 * authcode：电信运营商返回的authcode
 * confirmReg：确认注册传true
 *
 * phone：手机号，确认注册时需要
 **/
data class OneLoginReqBean(var processId: String?, var token: String?, var authcode: String?,
                           var confirmReg: Boolean?) {
    var phone: String? = null
}