package com.common.webview.jssdk

import android.content.Context
import com.lagou.baselib.jsbridge.JsBridgeCore
import com.lagou.baselib.util.BarUtil


/**
 * @author 作者：codeman
 * @date 创建时间：5/27/21 10:54
 * @Description 描述：给H5提供获取状态栏高度方法
 */
class JsStatusHeightHandler(private val context: Context) : JsBridgeCore.BaseNativeFunctionHandler(context) {

    override fun handle(data: String?, result: JsBridgeCore.NativeHandlerResult?) {
        super.handle(data, result)
        val resultBean = JsResultBean()
        resultBean.message = BarUtil.getStatusBarHeight(context).toString()
        result?.onResult(resultBean.toJson())
    }
}