package com.lagou.lagouee.ui.candidate.view

import android.content.Context
import android.util.AttributeSet
import android.view.LayoutInflater
import android.view.View
import android.widget.LinearLayout
import com.alpha.lagouapk.R
import com.lagou.lagouee.bean.TalentCardBean
import com.lagou.lagouee.bean.jsonbean.talent.TalentDetailBean
import kotlinx.android.synthetic.main.layout_canidate_details_loading.view.*

/**
 *
 * 职位详情 loading 布局文件
 */
class CandidateDetailsLoadingLayout(context: Context, attr: AttributeSet? = null) : LinearLayout(context, attr) {

    init {
        LayoutInflater.from(context).inflate(R.layout.layout_canidate_details_loading, this)
        orientation = VERTICAL
    }


    fun showLoading(talentCardBean: TalentCardBean?) {
        if (visibility != View.VISIBLE) {
            visibility = View.VISIBLE
        }
        //如果存在上个界面传过来的数据 先进行预展示
        if (talentCardBean == null) {
            user_core_info_view.visibility = View.GONE
            mIvEmptyHeader.visibility = View.VISIBLE

        } else {
            user_core_info_view.visibility = View.VISIBLE
            mIvEmptyHeader.visibility = View.GONE

            //设置数据
            user_core_info_view.updateView(TalentDetailBean.convertTalentCardBean(talentCardBean))
        }
    }

}