package com.lagou.lagouee.ui.settled

import android.annotation.SuppressLint
import android.content.Context
import android.util.AttributeSet
import android.widget.FrameLayout
import com.alpha.lagouapk.R
import kotlinx.android.synthetic.main.work_handover_progress_view.view.*

/**
 * 职位交接工作进度
 */
class WorkHandOverProgressView @JvmOverloads constructor(context: Context, attributeSet: AttributeSet? = null, defStyleAttr: Int = 0) : FrameLayout(context, attributeSet, defStyleAttr) {
    init {
        inflate(context, R.layout.work_handover_progress_view, this)
    }
    @SuppressLint("SetTextI18n")
    fun setProgress(progress:Int){
        progress_work_handover.setProgress(progress)
        tv_work_handover_progress.text = "$progress%"
    }
}